void StartStoryLine()
{
	ref PChar = GetMainCharacter();
	string loadPort = "Redmond_port";
// KK -->
	string rldGroup = "reload";
	string rldLocator = "reload1";
	int iNation = 0;
	int loc = FindLocation("Redmond_port");
// <-- KK

	sTeleportLocName = "Redmond_port";
// KK -->
	TakeNItems(PChar, "blade1", 1);
	TakeNItems(PChar, "pistol1", 1);
	TakeNItems(PChar, "spyglass2", 1);
	TakeNItems(PChar, "medical1", 2); // PB

	EquipCharacterbyItem(Pchar, "blade1");
	EquipCharacterbyItem(Pchar, "pistol1");
	EquipCharacterbyItem(Pchar, "Spyglass2");

//JRH ammo mod --->
	if(ENABLE_AMMOMOD)
	{	// LDH change
		Locations[FindLocation("Tutorial_Deck")].WeaponsLocker.items.gunpowder = 6;
		Locations[FindLocation("Tutorial_Deck")].WeaponsLocker.items.pistolbullets = 6;

		if(CheckCharacterItem(Pchar, "gunpowder") > 0) TakenItems(Pchar, "gunpowder", -12);
		else TakenItems(Pchar, "gunpowder", 6);
		if(CheckCharacterItem(Pchar, "pistolbullets") > 0) TakenItems(Pchar, "pistolbullets", -12);
		else TakenItems(Pchar, "pistolbullets", 6);
	}
//JRH ammo mod <---

	string rldLocator_Port = "";
	iNation = sti(PChar.nation);

// changed by MAXIMUS [choose character mod] -->
	switch(sti(PChar.nation))
	{
		case ENGLAND:
			sTeleportLocName = "Redmond_port";
			loadPort = "Redmond_port";
			rldLocator_Port = "sea_1";
			rldLocator = "sea_1";
		break;
		case FRANCE:
			sTeleportLocName = "Falaise_de_fleur_port_01";
			loadPort = sTeleportLocName;
			rldLocator = "sea";
			iNation = FRANCE;
		break;
		case SPAIN:
			sTeleportLocName = "Muelle_port";
			loadPort = sTeleportLocName;
			rldLocator = "reload3";
			iNation = SPAIN;
		break;
		case PIRATE:
			sTeleportLocName = "Tortuga_port";
			loadPort = sTeleportLocName;
			rldLocator = "reload2";
			iNation = PIRATE;
		break;
		case HOLLAND:
			sTeleportLocName = "Douwesen_port";
			loadPort = sTeleportLocName;
			rldLocator = "reload2";
			iNation = HOLLAND;
		break;
		case PORTUGAL:
			sTeleportLocName = "Conceicao_port";
			loadPort = sTeleportLocName;
			rldLocator = "reload2";
			iNation = PORTUGAL;
		break;
		case PERSONAL_NATION:
			rldGroup = "reload";
			switch (CharLocation) {
				case 0:
					sTeleportLocName = "Redmond_port";
					loadPort = "Redmond_port";
					rldLocator_Port = "sea_1";
					rldLocator = "sea_1";
				break;
				case 1:
					sTeleportLocName = "Charlestown_Port";
					loadPort = sTeleportLocName;
					rldLocator = "reload1_back";
					iNation = ENGLAND;
				break;
				case 2:
					sTeleportLocName = "Conceicao_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2";
					iNation = PORTUGAL;
				break;
				case 3:
					sTeleportLocName = "Douwesen_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2";
					iNation = HOLLAND;
				break;
				case 4:
					sTeleportLocName = "Falaise_de_fleur_port_01";
					loadPort = sTeleportLocName;
					rldLocator = "sea";
					iNation = FRANCE;
				break;
				case 5:
					sTeleportLocName = "Cayman_port";
					loadPort = sTeleportLocName;
					rldLocator = "sea";
					iNation = ENGLAND;
				break;
				case 6:
					sTeleportLocName = "Turks_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload1";
					iNation = PIRATE;
				break;
				case 7:
					sTeleportLocName = "Greenford_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload1";
					iNation = ENGLAND;
				break;
				case 8:
					sTeleportLocName = "Cuba_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2";
					iNation = SPAIN;
				break;
				case 9:
					sTeleportLocName = "Muelle_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload3";
					iNation = SPAIN;
				break;
				case 10:
					sTeleportLocName = "Marigot_port";
					loadPort = sTeleportLocName;
					rldLocator = "sea";
					iNation = FRANCE;
				break;
				case 11:
					sTeleportLocName = "Oxbay_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2";
					iNation = FRANCE;
				break;
				case 12:
					sTeleportLocName = "Philipsburg_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload1";
					iNation = HOLLAND;
				break;
				case 13:
					sTeleportLocName = "Guadeloupe_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2_back";
					iNation = FRANCE;
				break;
				case 14:
					sTeleportLocName = "Hispaniola_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2";
					iNation = FRANCE;
				break;
				case 15:
					sTeleportLocName = "QC_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload1";
					iNation = PIRATE;
				break;
				case 16:
					sTeleportLocName = "Redmond_port";
					loadPort = "Redmond_port";
					rldLocator = "sea_1";
					iNation = ENGLAND;
				break;
				case 17:
					sTeleportLocName = "Santiago_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2";
					iNation = SPAIN;
				break;
				case 18:
					sTeleportLocName = "Santo_Domingo_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload1";
					iNation = SPAIN;
				break;
				case 19:
					sTeleportLocName = "Antigua_port";
					loadPort = sTeleportLocName;
					rldLocator = "sea_2";
					iNation = ENGLAND;
				break;
				case 20:
					sTeleportLocName = "Tortuga_port";
					loadPort = sTeleportLocName;
					rldLocator = "reload2";
					iNation = PIRATE;
				break;
			}
		break;
	}
// <-- KK
//================================| BEGINNING QUESTS |================================//
	//Hitman
	PChar.quest.Start = "";
	PChar.quest.Start.win_condition.l1 = "location";
	PChar.quest.Start.win_condition.l1.character = PChar.id;
	PChar.quest.Start.win_condition.l1.location = "Redmond_port";
	PChar.quest.Start.win_condition = "Start";
	//Hitman
//===============================| QUESTS SECTION END |===============================//

	ReloadProgressUpdate();

// KK -->
	if(GetActualRMRelation(iNation)<=REL_WAR)
	{
		PChar.nation = iNation;
		HoistFlag(iNation);
		SafePortLeave();
	}
// <-- KK

	AllDaysCount = 1;//MAXIMUS: calculates days amount (updating in calendar.c)
	PChar.newGameStart = true;//MAXIMUS: for adding new locators

	LoadMainCharacterInFirstLocation(sTeleportLocName, rldGroup, rldLocator, loadPort); // KK
// changed by MAXIMUS [choose character mod] <--
}
